import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.Socket;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;


public class AuthThread extends Thread {

	private Socket s;
	Map<String,String> utentiAuth;

	public AuthThread(Socket s){
		this.s=s;
	}

	@Override
	public void run() {
		try{
			createUtentiAuth("utenti.txt");
			BufferedReader br = new BufferedReader(new InputStreamReader(s.getInputStream()));
			String invioClient = br.readLine();
			System.out.println(invioClient);
			String[] utente = invioClient.split("&");
			System.out.println(utente[0]);
			System.out.println(utente[1]);
			OutputStream os = s.getOutputStream();
			if(utentiAuth.get(utente[0])!=null && utentiAuth.get(utente[0]).equals(utente[1])){
				os.write("Utente autorizzato\r\n".getBytes());
				s.close();
			}
			else{
				os.write("Utente non autorizzato\r\n".getBytes());
				s.close();
			}
		}catch(IOException ioe){
			ioe.printStackTrace();
		}
	}
	
	private void createUtentiAuth(String filename) throws FileNotFoundException{
		utentiAuth = new HashMap<String,String>();
		Scanner scan = new Scanner(new File(filename));
		while(scan.hasNextLine()){
			String[] user = scan.nextLine().split(":");
			utentiAuth.put(user[0], user[1]);
		}
	}

}
