import java.io.IOException;
import java.io.OutputStream;
import java.net.Socket;


public class CharGenThread implements Runnable {
	
	private Socket s;
	
	public CharGenThread(Socket s){
		this.s=s;
	}

	@Override
	public void run() {
		OutputStream out = null;
		try{
			out = s.getOutputStream();
			int firstPrintableCharacter = 33;
			int numberOfPrintableCharacters = 94;
			int numberOfCharactersPerLine = 72;
			int start = firstPrintableCharacter;
			byte[] buffer = new byte[numberOfCharactersPerLine+2];
			while(true){ /* finite loop */
				int k = 0;
				for (int i = start; i < start+numberOfCharactersPerLine; i++) {
					buffer[k] = (byte)(((i-firstPrintableCharacter) % numberOfPrintableCharacters)+ firstPrintableCharacter);
					k++;
				}
				buffer[numberOfCharactersPerLine]='\r';
				buffer[numberOfCharactersPerLine+1]='\n';			
				out.write(buffer,0,buffer.length);// linefeed
				start = ((start+1) - firstPrintableCharacter)
						% numberOfPrintableCharacters + firstPrintableCharacter;
			}
		}catch(IOException ioe){}
		finally{
			if(out!=null)
				try {
					out.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
		}


	}

}
