import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.Socket;
import java.net.URL;

public class ClientLogin {

	public static void main(String[] args) {
		if(args.length == 1){
			try {
				URL url = new URL(args[0]);
				String host = url.getHost();
				String userInfo = url.getUserInfo();
				String[] credential = userInfo.split(":");
				System.out.println("host: " + host + " user: " + credential[0] + " password: " + credential[1]);
				Socket s = new Socket(host, 7000);
				OutputStream os = s.getOutputStream();
				BufferedReader r = new BufferedReader(new InputStreamReader(s.getInputStream()));
				os.write((credential[0]+"&"+credential[1]+"\r\n").getBytes());
				String rispostaLine = "";
				while((rispostaLine =r.readLine())!=null){
					System.out.println(rispostaLine);
				}
				s.close();
			} catch (IOException e) {
				System.out.println("URL mal formato");
			}
		}
		else{
			System.out.println("Numero di argomenti non valido");
		}
	}

}
