import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.Socket;


public class ClientMultiThread {

	public static void main(String[] args) {
		try{
			String nome_host = "localhost";
			int port = 7000;
			if (args.length != 2){
				throw new IllegalArgumentException("numero parametri non corretto");
			}
			nome_host = args[0];
			port = Integer.parseInt(args[1]);
			if (port <= 0){
				throw new IllegalArgumentException("porta non valida");
			}
			Socket s = new Socket("localhost", port);
			(new InputReaderThread(new BufferedReader(new InputStreamReader(System.in)), s.getOutputStream())).start();
			(new InputThread(s.getInputStream())).start();
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
}
