
import java.net.ServerSocket;
import java.net.Socket;


public class Contatore1Multi {
	
	public static void main(String[] args) {
		try{
			int port = 0;
			if (args.length > 1){
				throw new IllegalArgumentException("numero parametri non corretto");
			}
			if (args.length == 1){
				port = Integer.parseInt(args[0]);
				if (port < 0){
					throw new IllegalArgumentException("porta non valida");
				}
			}
			ServerSocket s = new ServerSocket(7000);
			if(port == 0){
				System.out.println("Porta allocata: " + s.getLocalPort());
			}
			while (true){
				Socket data_socket = s.accept();
				Thread t = new Contatore1Thread(data_socket);
				t.start();
			}

		}
		catch(Exception e){
			e.printStackTrace();
		}
	}

}
