import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;


public class ServerMultiLogin {
	public static void main(String[] args) {
		ServerSocket s = null;
		try{
			int port = 7000;
			if (args.length > 1){
				throw new IllegalArgumentException("numero parametri non corretto");
			}
			if (args.length == 1){
				port = Integer.parseInt(args[0]);
				if (port < 0){
					throw new IllegalArgumentException("porta non valida");
				}
			}
			s = new ServerSocket(port);
			if(port == 0){
				System.out.println("Porta allocata: " + s.getLocalPort());
			}
			while (true){
				try{
					Socket data_socket = s.accept();
					(new Thread(new AuthThread(data_socket))).start();
				}
				catch(IOException ioe){
					System.err.println("errore");
				}

			}

		}
		catch(Exception e){
			e.printStackTrace();
		}
		finally{
			try {
				if(s != null) s.close();
			} catch (IOException e) {}
		}
	}

}
